<template>
  <div class="custom-panel-div">

    <v-col>
      <v-row>
        <h1 style="font-size: 18px;letter-spacing: -0.025em;color: #00468A;">
          Depo İşlemleri
        </h1>
      </v-row>
      <v-row>
        <h2 style="font-size: 14px;color: #5A5A5A;">Depo >
          Filtreleme - Listeleme - Ekleme</h2>
      </v-row>
    </v-col>

    <v-expansion-panels v-model="this.panel" :disabled="disabled" multiple>
      <custom-expansion-panel :items="this.items" />
    </v-expansion-panels>

    <div v-show="false">
      <RepositoryFilter />
      <RepositoryAdd />
      <RepositoryList />
    </div>
  </div>
</template>
<script>
import CustomExpansionPanel from '@/components/custom-controller/CustomExpansionPanel.vue';
import RepositoryAdd from './components/RepositoryAdd.vue'
import RepositoryFilter from './components/RepositoryFilter.vue'
import RepositoryList from './components/RepositoryList.vue'
import { ref} from 'vue';

export default {
  components: {
    CustomExpansionPanel,
    RepositoryAdd,
    RepositoryFilter,
    RepositoryList
  },
  setup() {
    const panel = ref([0, 1]);
    const disabled = ref(false);
    const items = ref([
      {
        title: "Depo  Filtrele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: RepositoryFilter,
      },
      {
        title: "Depo  Listele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: RepositoryList,
      },
      {
        title: "Depo  Ekle",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: RepositoryAdd,
      },
    ]);

    return {
      panel,
      disabled,
      items
    };
  },
};
</script>
<style>
.custom-label{
  color: #404040;
  display: inline-block;
  white-space: nowrap;
  font-size: 14px !important;
  font-weight: bold;
}
.custom-col{
  max-width: min-content !important;
}
</style>
